<?php
require_once "header.php";
?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Répondre aux questions</h1>
    </div>

<?php if (isset($new_answer) && !$has_error) { ?>
    <div class="alert alert-success">
        Votre vidéo a bien été envoyée !
    </div>
<?php } ?>

<?php
for ($i = 0; $i < 2; ++$i) {
	/** @var Team $answer_team */
	$answer_team = $teams[$i];
	/** @var Video $sol */
	$sol = $sols[$i];
	/** @var Video $answer */
	$answer = $answers[$i];
	/** @var Video $answer_validated */
	$answer_validated = $answers_validated[$i];
	/** @var Question[] $questions */
	$questions = Question::getQuestions($team, $answer_team);
	?>
    <div class="jumbotron">
        <h2>Vidéo de l'équipe <?= $answer_team->getName() ?> (<?= $answer_team->getTrigram() ?>) :</h2>
        <div class="alert alert-info">
            <strong>Lien de la vidéo de présentation de la solution au problème :</strong>
            <a href="<?= $sol->getLink() ?>"><?= $sol->getLink() ?></a>
        </div>
		<?php displayVideo($sol->getLink()) ?>

        <h5>Questions échangées :</h5>
		<?php
		for ($j = 0; $j < 6; ++$j) {
			/** @var Question $question */
			$question = $questions[$j];
			if ($question->getQuestion() === null)
				continue;
			?>
            <div class="alert alert-info">
                <strong>Question <?= $question->getNumber() + 1 ?> :</strong> <?= $question->getQuestion() ?><br />
				<?php
				if ($question->getAttachedFile() !== null) { ?>
                    <em>Pièce jointe attachée :</em>
                    <a href="/file/<?= $question->getAttachedFile() ?>"><strong>Télécharger</strong></a><br />
				<?php } ?>
                <strong>Réponse :</strong> <?= $question->getAnswer() ?><br />
				<?php
				if ($question->getAttachedFile() !== null) { ?>
                    <em>Pièce jointe attachée :</em>
                    <a href="/file/<?= $question->getAttachedFileAnswer() ?>"><strong>Télécharger</strong></a><br />
				<?php } ?>
            </div>
		<?php } ?>
        <br/>
        <h5>Vidéo de réponse :</h5>

		<?php
		if ($answer !== null) {
			$link = $answer->getLink();
			echo "<div class=\"alert alert-info\"><strong>Lien de la vidéo déjà envoyée :</strong> <a href=\"$link\">$link</a> (version " . $answer->getVersion() . ")</div>\n";
			displayVideo($link);
			switch ($answer->getValidation()) {
				case 0:
					echo "<div class=\"alert alert-warning\">La vidéo n'a pas encore été contrôlée.</div>";
					break;
				case 1:
					echo "<div class=\"alert alert-success\">La vidéo a été acceptée.</div>";
					break;
				case -1:
					echo "<div class=\"alert alert-danger\">La vidéo a été rejetée.</div>";
					break;
			}
		}
		if ($answer_validated != null && $answer_validated->getId() != $answer->getId()) {
			$link = $answer_validated->getLink();
			echo "<hr />\n<div class=\"alert alert-info\">Lien de la dernière vidéo validée : <a href=\"$link\">$link</a></div>\n";
			displayVideo($link);
		}
		?>

        <form method="POST">
            <input type="hidden" name="team" value="<?= $i + 1 ?>"/>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="link_<?= $i ?>">Lien de la vidéo à soumettre :</label>
                    <input class="form-control" type="url" id="link_<?= $i ?>" name="link"/>
                </div>
            </div>

            <input type="checkbox" name="valid_link" id="valid_link_<?= $i ?>" required/> <label for="valid_link_<?= $i ?>">Je
                confirme que le lien est valide</label><br/>

            <input type="checkbox" name="no_change" id="no_change_<?= $i ?>" required/> <label for="no_change_<?= $i ?>">Je m'engage
                à ne pas changer le contenu du lien et de la vidéo</label>

            <input class="btn btn-primary btn-lg btn-block" type="submit" name="upload_answer" value="Envoyer la vidéo"/>
        </form>
    </div>
	<?php
}

require_once "footer.php";